Bug 1124968 - [abrt] dnf: query.py:107:by_provides:UnicodeEncodeError: 'ascii' codec can't encode character u'\xd6' in position 0: ordinal not in range(128)
Summary: [abrt] dnf: query.py:107:by_provides:UnicodeEncodeError: 'ascii' codec can't ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Silhan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:56ded6e2e8326e70c3710257b4a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 18:36 UTC by Erik Schilling
Modified: 2014-09-23 04:23 UTC (History)
5 users (show)

Fixed In Version: hawkey-0.5.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:23:50 UTC


Attachments (Terms of Use)
File: backtrace (1.46 KB, text/plain)
2014-07-30 18:36 UTC, Erik Schilling
no flags Details
File: environ (3.12 KB, text/plain)
2014-07-30 18:36 UTC, Erik Schilling
no flags Details

Description Erik Schilling 2014-07-30 18:36:10 UTC
Version-Release number of selected component:
dnf-0.5.4-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python -OO /usr/bin/dnf provides 2014-04-06-193307_869x773_scrot.png 2014-04-06-193447_957x759_scrot.png 2014-04-08-193645_536x767_scrot.png 2014-04-13-183230_273x262_scrot.png 2014-05-10-170814_341x94_scrot.png 2014-05-29-204230_742x520_scrot.png 2014-05-29-204335_782x547_scrot.png 2014-06-07-220639_545x169_scrot.png 2014-06-19-153015_1262x102_scrot.png 2014-06-19-153032_1268x100_scrot.png 2014-06-24-192124_544x52_scrot.png 2014-07-14-211424_1025x591_scrot.png 2014-07-19-134807_827x817_scrot.png 2014-07-19-134828_828x822_scrot.png <whole lot of gabage accident paste>
executable:     /usr/bin/dnf
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
query.py:107:by_provides:UnicodeEncodeError: 'ascii' codec can't encode character u'\xd6' in position 0: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 200, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 83, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 133, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1171, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands/__init__.py", line 456, in run
    return self.base.provides(extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 567, in provides
    matches.extend(super(BaseCli, self). provides(spec))
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 1643, in provides
    providers = query.by_provides(self.sack, provides_spec)
  File "/usr/lib/python2.7/site-packages/dnf/query.py", line 107, in by_provides
    reldeps = list(map(functools.partial(hawkey.Reldep, sack), patterns))
UnicodeEncodeError: 'ascii' codec can't encode character u'\xd6' in position 0: ordinal not in range(128)

Local variables in innermost frame:
patterns: [u'\xd6ffentlich']
ignore_case: False
get_query: False
sack: <dnf.sack.Sack object at 0x2310628>

Comment 1 Erik Schilling 2014-07-30 18:36:13 UTC
Created attachment 922671 [details]
File: backtrace

Comment 2 Erik Schilling 2014-07-30 18:36:15 UTC
Created attachment 922672 [details]
File: environ

Comment 3 Erik Schilling 2014-07-30 18:37:32 UTC
Happened when i accidently pasted a whole lot of random stuff after dnf provides.

Comment 4 zbelial 2014-08-06 03:57:05 UTC
Similar problem here.

dnf-0:0.5.4-2.fc20.noarch

Error Message:
Traceback (most recent call last):
  File "/usr/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 200, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 83, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 133, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1170, in run
    self.base.plugins.run_sack()
  File "/usr/lib/python2.7/site-packages/dnf/plugin.py", line 82, in fn
    dnf.util.mapall(operator.methodcaller(method), self.plugins)
  File "/usr/lib/python2.7/site-packages/dnf/util.py", line 139, in mapall
    return list(map(fn, *seq))
  File "/usr/lib/python2.7/site-packages/dnf-plugins/generate_completion_cache.py", line 55, in sack
    self._out('Can\'t write completion cache: %s' % e)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe6 in position 11: ordinal not in range(128)

This happened when I executed "dnf search dnf"

Comment 5 Honza Silhan 2014-08-06 10:39:22 UTC
zbelial, this is other bug that is fixed in dnf-0.5.5.

Comment 6 Honza Silhan 2014-08-25 09:20:17 UTC
Fixed in the upstream.

Comment 7 Fedora Update System 2014-09-18 08:44:48 UTC
hawkey-0.5.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/hawkey-0.5.1-1.fc21

Comment 8 Fedora Update System 2014-09-19 17:44:28 UTC
Package hawkey-0.5.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.5.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11102/hawkey-0.5.1-1.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-09-23 04:23:50 UTC
hawkey-0.5.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.